Package org.apache.storm.trident.operation.impl

## Class CombinerAggregatorCombineImpl

- java.lang.Object
- - org.apache.storm.trident.operation.impl.CombinerAggregatorCombineImpl

- All Implemented Interfaces:
    `Serializable`, `Aggregator<Result>`, `Operation`

      public class CombinerAggregatorCombineImpl
      extends Object
      implements Aggregator<Result>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CombinerAggregatorCombineImpl​(CombinerAggregator agg)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `aggregate​(Result val, TridentTuple tuple, TridentCollector collector)` |
    `void` | `cleanup()` | When running in local mode, called when the local cluster is being shut down.
    `void` | `complete​(Result val, TridentCollector collector)` |
    `Result` | `init​(Object batchId, TridentCollector collector)` |
    `void` | `prepare​(Map<String,​Object> conf, TridentOperationContext context)` | Called when the `Operation` is first initialized.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CombinerAggregatorCombineImpl

          public CombinerAggregatorCombineImpl​(CombinerAggregator agg)

  - ### Method Detail

    - #### prepare

          public void prepare​(Map<String,​Object> conf,
                              TridentOperationContext context)

      Description copied from interface: `Operation`
      Called when the `Operation` is first initialized.
      Specified by:
        `prepare` in interface `Operation`
      Parameters:
        `conf` - the Storm configuration map
        `context` - the operation context which provides information such as the number of partitions in the stream, and the current partition index. It also provides methods for registering operation-specific metrics.
      See Also:
        `TridentOperationContext`

    - #### init

          public Result init​(Object batchId,
                             TridentCollector collector)

      Specified by:
        `init` in interface `Aggregator<Result>`

    - #### aggregate

          public void aggregate​(Result val,
                                TridentTuple tuple,
                                TridentCollector collector)

      Specified by:
        `aggregate` in interface `Aggregator<Result>`

    - #### complete

          public void complete​(Result val,
                               TridentCollector collector)

      Specified by:
        `complete` in interface `Aggregator<Result>`

    - #### cleanup

          public void cleanup()

      Description copied from interface: `Operation`
      When running in local mode, called when the local cluster is being shut down.
      Specified by:
        `cleanup` in interface `Operation`